Bug 55721 - Capitlized NISDOMAIN name hobbles ypserv.
Summary: Capitlized NISDOMAIN name hobbles ypserv.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-05 16:47 UTC by Tony Kocurko
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-12 20:45:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tony Kocurko 2001-11-05 16:47:03 UTC
Description of Problem: It might be that, during a fresh install, the value of
NISDOMAIN in /etc/sysconfig/network is being set to all capitals. This
buggers an existing NIS installation that doesn't follow that pattern. For
example, our internal NIS domain is "Weland", but the value that 
appeared in /etc/sysconfig/network is "WELAND". This caused ypserv
to reject connections from existing NIS clients trying to find "Weland".


Version-Release number of selected component (if applicable): RedHat 
7.2, ypserv-1.3.12-2.


How Reproducible: Do it the old fashioned, Microsoft way :) I.e., re-install
RedHat 7.2 on an existing NIS server that, until then, hadn't capitlalized
its NIS domain name.


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Florian La Roche 2001-12-08 21:18:23 UTC
This is if at all done by the anaconda installer, not by ypserv.
I re-assign to correct rpm.

Thanks for this bug-report,

Florian La Roche


Comment 2 Jeremy Katz 2001-12-12 20:45:33 UTC
Are you sure you entered it with the proper capitalization?  We just use what
we're given as far as I know unless authconfig changes it

Comment 3 Brent Fox 2002-01-21 05:33:15 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.